/* $Workfile: Dsp55Law.h $   $Revision: 3 $    $Modtime: 3/18/03 1:11p $  */
/*--------------------------------------------------------------------------*\

  @doc PublicDsp55SdkApi

  Odin TeleSystems Inc.

  SAA-1007-1 OTX DSP C54x Software Development Kit (SDK)

  @module

    Dsp55Law.h | A-law and U-law expansion tables.

\*--------------------------------------------------------------------------*/

// A-law only expands to values in the -4096 <= x <= 4095 range.
// To make the decoding code work the same way for both A-law and U-law
// the expanded values have been multiplied by 2 to bring the expanded value to
// the same range as U-law (-8192 <= x <= 8191). 
signed short g_sqAlawExpansionTable[256] = {
   /* [0x00]= */ +1376, 
   /* [0x01]= */ +1312, 
   /* [0x02]= */ +1504, 
   /* [0x03]= */ +1440, 
   /* [0x04]= */ +1120, 
   /* [0x05]= */ +1056, 
   /* [0x06]= */ +1248, 
   /* [0x07]= */ +1184, 
   /* [0x08]= */ +1888, 
   /* [0x09]= */ +1824, 
   /* [0x0A]= */ +2016, 
   /* [0x0B]= */ +1952, 
   /* [0x0C]= */ +1632, 
   /* [0x0D]= */ +1568, 
   /* [0x0E]= */ +1760, 
   /* [0x0F]= */ +1696, 
   /* [0x10]= */ +688, 
   /* [0x11]= */ +656, 
   /* [0x12]= */ +752, 
   /* [0x13]= */ +720, 
   /* [0x14]= */ +560, 
   /* [0x15]= */ +528, 
   /* [0x16]= */ +624, 
   /* [0x17]= */ +592, 
   /* [0x18]= */ +944, 
   /* [0x19]= */ +912, 
   /* [0x1A]= */ +1008, 
   /* [0x1B]= */ +976, 
   /* [0x1C]= */ +816, 
   /* [0x1D]= */ +784, 
   /* [0x1E]= */ +880, 
   /* [0x1F]= */ +848, 
   /* [0x20]= */ +5504, 
   /* [0x21]= */ +5248, 
   /* [0x22]= */ +6016, 
   /* [0x23]= */ +5760, 
   /* [0x24]= */ +4480, 
   /* [0x25]= */ +4224, 
   /* [0x26]= */ +4992, 
   /* [0x27]= */ +4736, 
   /* [0x28]= */ +7552, 
   /* [0x29]= */ +7296, 
   /* [0x2A]= */ +8064, 
   /* [0x2B]= */ +7808, 
   /* [0x2C]= */ +6528, 
   /* [0x2D]= */ +6272, 
   /* [0x2E]= */ +7040, 
   /* [0x2F]= */ +6784, 
   /* [0x30]= */ +2752, 
   /* [0x31]= */ +2624, 
   /* [0x32]= */ +3008, 
   /* [0x33]= */ +2880, 
   /* [0x34]= */ +2240, 
   /* [0x35]= */ +2112, 
   /* [0x36]= */ +2496, 
   /* [0x37]= */ +2368, 
   /* [0x38]= */ +3776, 
   /* [0x39]= */ +3648, 
   /* [0x3A]= */ +4032, 
   /* [0x3B]= */ +3904, 
   /* [0x3C]= */ +3264, 
   /* [0x3D]= */ +3136, 
   /* [0x3E]= */ +3520, 
   /* [0x3F]= */ +3392, 
   /* [0x40]= */ +86, 
   /* [0x41]= */ +82, 
   /* [0x42]= */ +94, 
   /* [0x43]= */ +90, 
   /* [0x44]= */ +70, 
   /* [0x45]= */ +66, 
   /* [0x46]= */ +78, 
   /* [0x47]= */ +74, 
   /* [0x48]= */ +118, 
   /* [0x49]= */ +114, 
   /* [0x4A]= */ +126, 
   /* [0x4B]= */ +122, 
   /* [0x4C]= */ +102, 
   /* [0x4D]= */ +98, 
   /* [0x4E]= */ +110, 
   /* [0x4F]= */ +106, 
   /* [0x50]= */ +22, 
   /* [0x51]= */ +18, 
   /* [0x52]= */ +30, 
   /* [0x53]= */ +26, 
   /* [0x54]= */ +6, 
   /* [0x55]= */ +2, 
   /* [0x56]= */ +14, 
   /* [0x57]= */ +10, 
   /* [0x58]= */ +54, 
   /* [0x59]= */ +50, 
   /* [0x5A]= */ +62, 
   /* [0x5B]= */ +58, 
   /* [0x5C]= */ +38, 
   /* [0x5D]= */ +34, 
   /* [0x5E]= */ +46, 
   /* [0x5F]= */ +42, 
   /* [0x60]= */ +344, 
   /* [0x61]= */ +328, 
   /* [0x62]= */ +376, 
   /* [0x63]= */ +360, 
   /* [0x64]= */ +280, 
   /* [0x65]= */ +264, 
   /* [0x66]= */ +312, 
   /* [0x67]= */ +296, 
   /* [0x68]= */ +472, 
   /* [0x69]= */ +456, 
   /* [0x6A]= */ +504, 
   /* [0x6B]= */ +488, 
   /* [0x6C]= */ +408, 
   /* [0x6D]= */ +392, 
   /* [0x6E]= */ +440, 
   /* [0x6F]= */ +424, 
   /* [0x70]= */ +172, 
   /* [0x71]= */ +164, 
   /* [0x72]= */ +188, 
   /* [0x73]= */ +180, 
   /* [0x74]= */ +140, 
   /* [0x75]= */ +132, 
   /* [0x76]= */ +156, 
   /* [0x77]= */ +148, 
   /* [0x78]= */ +236, 
   /* [0x79]= */ +228, 
   /* [0x7A]= */ +252, 
   /* [0x7B]= */ +244, 
   /* [0x7C]= */ +204, 
   /* [0x7D]= */ +196, 
   /* [0x7E]= */ +220, 
   /* [0x7F]= */ +212, 
   /* [0x80]= */ -1376, 
   /* [0x81]= */ -1312, 
   /* [0x82]= */ -1504, 
   /* [0x83]= */ -1440, 
   /* [0x84]= */ -1120, 
   /* [0x85]= */ -1056, 
   /* [0x86]= */ -1248, 
   /* [0x87]= */ -1184, 
   /* [0x88]= */ -1888, 
   /* [0x89]= */ -1824, 
   /* [0x8A]= */ -2016, 
   /* [0x8B]= */ -1952, 
   /* [0x8C]= */ -1632, 
   /* [0x8D]= */ -1568, 
   /* [0x8E]= */ -1760, 
   /* [0x8F]= */ -1696, 
   /* [0x90]= */ -688, 
   /* [0x91]= */ -656, 
   /* [0x92]= */ -752, 
   /* [0x93]= */ -720, 
   /* [0x94]= */ -560, 
   /* [0x95]= */ -528, 
   /* [0x96]= */ -624, 
   /* [0x97]= */ -592, 
   /* [0x98]= */ -944, 
   /* [0x99]= */ -912, 
   /* [0x9A]= */ -1008, 
   /* [0x9B]= */ -976, 
   /* [0x9C]= */ -816, 
   /* [0x9D]= */ -784, 
   /* [0x9E]= */ -880, 
   /* [0x9F]= */ -848, 
   /* [0xA0]= */ -5504, 
   /* [0xA1]= */ -5248, 
   /* [0xA2]= */ -6016, 
   /* [0xA3]= */ -5760, 
   /* [0xA4]= */ -4480, 
   /* [0xA5]= */ -4224, 
   /* [0xA6]= */ -4992, 
   /* [0xA7]= */ -4736, 
   /* [0xA8]= */ -7552, 
   /* [0xA9]= */ -7296, 
   /* [0xAA]= */ -8064, 
   /* [0xAB]= */ -7808, 
   /* [0xAC]= */ -6528, 
   /* [0xAD]= */ -6272, 
   /* [0xAE]= */ -7040, 
   /* [0xAF]= */ -6784, 
   /* [0xB0]= */ -2752, 
   /* [0xB1]= */ -2624, 
   /* [0xB2]= */ -3008, 
   /* [0xB3]= */ -2880, 
   /* [0xB4]= */ -2240, 
   /* [0xB5]= */ -2112, 
   /* [0xB6]= */ -2496, 
   /* [0xB7]= */ -2368, 
   /* [0xB8]= */ -3776, 
   /* [0xB9]= */ -3648, 
   /* [0xBA]= */ -4032, 
   /* [0xBB]= */ -3904, 
   /* [0xBC]= */ -3264, 
   /* [0xBD]= */ -3136, 
   /* [0xBE]= */ -3520, 
   /* [0xBF]= */ -3392, 
   /* [0xC0]= */ -86, 
   /* [0xC1]= */ -82, 
   /* [0xC2]= */ -94, 
   /* [0xC3]= */ -90, 
   /* [0xC4]= */ -70, 
   /* [0xC5]= */ -66, 
   /* [0xC6]= */ -78, 
   /* [0xC7]= */ -74, 
   /* [0xC8]= */ -118, 
   /* [0xC9]= */ -114, 
   /* [0xCA]= */ -126, 
   /* [0xCB]= */ -122, 
   /* [0xCC]= */ -102, 
   /* [0xCD]= */ -98, 
   /* [0xCE]= */ -110, 
   /* [0xCF]= */ -106, 
   /* [0xD0]= */ -22, 
   /* [0xD1]= */ -18, 
   /* [0xD2]= */ -30, 
   /* [0xD3]= */ -26, 
   /* [0xD4]= */ -6, 
   /* [0xD5]= */ -2, 
   /* [0xD6]= */ -14, 
   /* [0xD7]= */ -10, 
   /* [0xD8]= */ -54, 
   /* [0xD9]= */ -50, 
   /* [0xDA]= */ -62, 
   /* [0xDB]= */ -58, 
   /* [0xDC]= */ -38, 
   /* [0xDD]= */ -34, 
   /* [0xDE]= */ -46, 
   /* [0xDF]= */ -42, 
   /* [0xE0]= */ -344, 
   /* [0xE1]= */ -328, 
   /* [0xE2]= */ -376, 
   /* [0xE3]= */ -360, 
   /* [0xE4]= */ -280, 
   /* [0xE5]= */ -264, 
   /* [0xE6]= */ -312, 
   /* [0xE7]= */ -296, 
   /* [0xE8]= */ -472, 
   /* [0xE9]= */ -456, 
   /* [0xEA]= */ -504, 
   /* [0xEB]= */ -488, 
   /* [0xEC]= */ -408, 
   /* [0xED]= */ -392, 
   /* [0xEE]= */ -440, 
   /* [0xEF]= */ -424, 
   /* [0xF0]= */ -172, 
   /* [0xF1]= */ -164, 
   /* [0xF2]= */ -188, 
   /* [0xF3]= */ -180, 
   /* [0xF4]= */ -140, 
   /* [0xF5]= */ -132, 
   /* [0xF6]= */ -156, 
   /* [0xF7]= */ -148, 
   /* [0xF8]= */ -236, 
   /* [0xF9]= */ -228, 
   /* [0xFA]= */ -252, 
   /* [0xFB]= */ -244, 
   /* [0xFC]= */ -204, 
   /* [0xFD]= */ -196, 
   /* [0xFE]= */ -220, 
   /* [0xFF]= */ -212, 
};

signed short g_sqUlawExpansionTable[256] = {
   /* [0x00]= */ -8031, 
   /* [0x01]= */ -7775, 
   /* [0x02]= */ -7519, 
   /* [0x03]= */ -7263, 
   /* [0x04]= */ -7007, 
   /* [0x05]= */ -6751, 
   /* [0x06]= */ -6495, 
   /* [0x07]= */ -6239, 
   /* [0x08]= */ -5983, 
   /* [0x09]= */ -5727, 
   /* [0x0A]= */ -5471, 
   /* [0x0B]= */ -5215, 
   /* [0x0C]= */ -4959, 
   /* [0x0D]= */ -4703, 
   /* [0x0E]= */ -4447, 
   /* [0x0F]= */ -4191, 
   /* [0x10]= */ -3999, 
   /* [0x11]= */ -3871, 
   /* [0x12]= */ -3743, 
   /* [0x13]= */ -3615, 
   /* [0x14]= */ -3487, 
   /* [0x15]= */ -3359, 
   /* [0x16]= */ -3231, 
   /* [0x17]= */ -3103, 
   /* [0x18]= */ -2975, 
   /* [0x19]= */ -2847, 
   /* [0x1A]= */ -2719, 
   /* [0x1B]= */ -2591, 
   /* [0x1C]= */ -2463, 
   /* [0x1D]= */ -2335, 
   /* [0x1E]= */ -2207, 
   /* [0x1F]= */ -2079, 
   /* [0x20]= */ -1983, 
   /* [0x21]= */ -1919, 
   /* [0x22]= */ -1855, 
   /* [0x23]= */ -1791, 
   /* [0x24]= */ -1727, 
   /* [0x25]= */ -1663, 
   /* [0x26]= */ -1599, 
   /* [0x27]= */ -1535, 
   /* [0x28]= */ -1471, 
   /* [0x29]= */ -1407, 
   /* [0x2A]= */ -1343, 
   /* [0x2B]= */ -1279, 
   /* [0x2C]= */ -1215, 
   /* [0x2D]= */ -1151, 
   /* [0x2E]= */ -1087, 
   /* [0x2F]= */ -1023, 
   /* [0x30]= */ -975, 
   /* [0x31]= */ -943, 
   /* [0x32]= */ -911, 
   /* [0x33]= */ -879, 
   /* [0x34]= */ -847, 
   /* [0x35]= */ -815, 
   /* [0x36]= */ -783, 
   /* [0x37]= */ -751, 
   /* [0x38]= */ -719, 
   /* [0x39]= */ -687, 
   /* [0x3A]= */ -655, 
   /* [0x3B]= */ -623, 
   /* [0x3C]= */ -591, 
   /* [0x3D]= */ -559, 
   /* [0x3E]= */ -527, 
   /* [0x3F]= */ -495, 
   /* [0x40]= */ -471, 
   /* [0x41]= */ -455, 
   /* [0x42]= */ -439, 
   /* [0x43]= */ -423, 
   /* [0x44]= */ -407, 
   /* [0x45]= */ -391, 
   /* [0x46]= */ -375, 
   /* [0x47]= */ -359, 
   /* [0x48]= */ -343, 
   /* [0x49]= */ -327, 
   /* [0x4A]= */ -311, 
   /* [0x4B]= */ -295, 
   /* [0x4C]= */ -279, 
   /* [0x4D]= */ -263, 
   /* [0x4E]= */ -247, 
   /* [0x4F]= */ -231, 
   /* [0x50]= */ -219, 
   /* [0x51]= */ -211, 
   /* [0x52]= */ -203, 
   /* [0x53]= */ -195, 
   /* [0x54]= */ -187, 
   /* [0x55]= */ -179, 
   /* [0x56]= */ -171, 
   /* [0x57]= */ -163, 
   /* [0x58]= */ -155, 
   /* [0x59]= */ -147, 
   /* [0x5A]= */ -139, 
   /* [0x5B]= */ -131, 
   /* [0x5C]= */ -123, 
   /* [0x5D]= */ -115, 
   /* [0x5E]= */ -107, 
   /* [0x5F]= */ -99, 
   /* [0x60]= */ -93, 
   /* [0x61]= */ -89, 
   /* [0x62]= */ -85, 
   /* [0x63]= */ -81, 
   /* [0x64]= */ -77, 
   /* [0x65]= */ -73, 
   /* [0x66]= */ -69, 
   /* [0x67]= */ -65, 
   /* [0x68]= */ -61, 
   /* [0x69]= */ -57, 
   /* [0x6A]= */ -53, 
   /* [0x6B]= */ -49, 
   /* [0x6C]= */ -45, 
   /* [0x6D]= */ -41, 
   /* [0x6E]= */ -37, 
   /* [0x6F]= */ -33, 
   /* [0x70]= */ -30, 
   /* [0x71]= */ -28, 
   /* [0x72]= */ -26, 
   /* [0x73]= */ -24, 
   /* [0x74]= */ -22, 
   /* [0x75]= */ -20, 
   /* [0x76]= */ -18, 
   /* [0x77]= */ -16, 
   /* [0x78]= */ -14, 
   /* [0x79]= */ -12, 
   /* [0x7A]= */ -10, 
   /* [0x7B]= */ -8, 
   /* [0x7C]= */ -6, 
   /* [0x7D]= */ -4, 
   /* [0x7E]= */ -2, 
   /* [0x7F]= */ +0, 
   /* [0x80]= */ +8031, 
   /* [0x81]= */ +7775, 
   /* [0x82]= */ +7519, 
   /* [0x83]= */ +7263, 
   /* [0x84]= */ +7007, 
   /* [0x85]= */ +6751, 
   /* [0x86]= */ +6495, 
   /* [0x87]= */ +6239, 
   /* [0x88]= */ +5983, 
   /* [0x89]= */ +5727, 
   /* [0x8A]= */ +5471, 
   /* [0x8B]= */ +5215, 
   /* [0x8C]= */ +4959, 
   /* [0x8D]= */ +4703, 
   /* [0x8E]= */ +4447, 
   /* [0x8F]= */ +4191, 
   /* [0x90]= */ +3999, 
   /* [0x91]= */ +3871, 
   /* [0x92]= */ +3743, 
   /* [0x93]= */ +3615, 
   /* [0x94]= */ +3487, 
   /* [0x95]= */ +3359, 
   /* [0x96]= */ +3231, 
   /* [0x97]= */ +3103, 
   /* [0x98]= */ +2975, 
   /* [0x99]= */ +2847, 
   /* [0x9A]= */ +2719, 
   /* [0x9B]= */ +2591, 
   /* [0x9C]= */ +2463, 
   /* [0x9D]= */ +2335, 
   /* [0x9E]= */ +2207, 
   /* [0x9F]= */ +2079, 
   /* [0xA0]= */ +1983, 
   /* [0xA1]= */ +1919, 
   /* [0xA2]= */ +1855, 
   /* [0xA3]= */ +1791, 
   /* [0xA4]= */ +1727, 
   /* [0xA5]= */ +1663, 
   /* [0xA6]= */ +1599, 
   /* [0xA7]= */ +1535, 
   /* [0xA8]= */ +1471, 
   /* [0xA9]= */ +1407, 
   /* [0xAA]= */ +1343, 
   /* [0xAB]= */ +1279, 
   /* [0xAC]= */ +1215, 
   /* [0xAD]= */ +1151, 
   /* [0xAE]= */ +1087, 
   /* [0xAF]= */ +1023, 
   /* [0xB0]= */ +975, 
   /* [0xB1]= */ +943, 
   /* [0xB2]= */ +911, 
   /* [0xB3]= */ +879, 
   /* [0xB4]= */ +847, 
   /* [0xB5]= */ +815, 
   /* [0xB6]= */ +783, 
   /* [0xB7]= */ +751, 
   /* [0xB8]= */ +719, 
   /* [0xB9]= */ +687, 
   /* [0xBA]= */ +655, 
   /* [0xBB]= */ +623, 
   /* [0xBC]= */ +591, 
   /* [0xBD]= */ +559, 
   /* [0xBE]= */ +527, 
   /* [0xBF]= */ +495, 
   /* [0xC0]= */ +471, 
   /* [0xC1]= */ +455, 
   /* [0xC2]= */ +439, 
   /* [0xC3]= */ +423, 
   /* [0xC4]= */ +407, 
   /* [0xC5]= */ +391, 
   /* [0xC6]= */ +375, 
   /* [0xC7]= */ +359, 
   /* [0xC8]= */ +343, 
   /* [0xC9]= */ +327, 
   /* [0xCA]= */ +311, 
   /* [0xCB]= */ +295, 
   /* [0xCC]= */ +279, 
   /* [0xCD]= */ +263, 
   /* [0xCE]= */ +247, 
   /* [0xCF]= */ +231, 
   /* [0xD0]= */ +219, 
   /* [0xD1]= */ +211, 
   /* [0xD2]= */ +203, 
   /* [0xD3]= */ +195, 
   /* [0xD4]= */ +187, 
   /* [0xD5]= */ +179, 
   /* [0xD6]= */ +171, 
   /* [0xD7]= */ +163, 
   /* [0xD8]= */ +155, 
   /* [0xD9]= */ +147, 
   /* [0xDA]= */ +139, 
   /* [0xDB]= */ +131, 
   /* [0xDC]= */ +123, 
   /* [0xDD]= */ +115, 
   /* [0xDE]= */ +107, 
   /* [0xDF]= */ +99, 
   /* [0xE0]= */ +93, 
   /* [0xE1]= */ +89, 
   /* [0xE2]= */ +85, 
   /* [0xE3]= */ +81, 
   /* [0xE4]= */ +77, 
   /* [0xE5]= */ +73, 
   /* [0xE6]= */ +69, 
   /* [0xE7]= */ +65, 
   /* [0xE8]= */ +61, 
   /* [0xE9]= */ +57, 
   /* [0xEA]= */ +53, 
   /* [0xEB]= */ +49, 
   /* [0xEC]= */ +45, 
   /* [0xED]= */ +41, 
   /* [0xEE]= */ +37, 
   /* [0xEF]= */ +33, 
   /* [0xF0]= */ +30, 
   /* [0xF1]= */ +28, 
   /* [0xF2]= */ +26, 
   /* [0xF3]= */ +24, 
   /* [0xF4]= */ +22, 
   /* [0xF5]= */ +20, 
   /* [0xF6]= */ +18, 
   /* [0xF7]= */ +16, 
   /* [0xF8]= */ +14, 
   /* [0xF9]= */ +12, 
   /* [0xFA]= */ +10, 
   /* [0xFB]= */ +8, 
   /* [0xFC]= */ +6, 
   /* [0xFD]= */ +4, 
   /* [0xFE]= */ +2, 
   /* [0xFF]= */ +0,
}; 


#if 0 // Test cases for testing u-law and a-law companding 
/*
  {
    short gtemp[12]; 
    
    memset(&gtemp[0], 0, 12);
    
    gtemp[0] = OtxDspUlawCompress(-2460); // 0x1C
    gtemp[1] = OtxDspUlawCompress(-1505); // 0x27
    gtemp[2] = OtxDspUlawCompress(-650);  // 0x3A
    gtemp[3] = OtxDspUlawCompress(-338);  // 0x48
    gtemp[4] = OtxDspUlawCompress(-90);   // 0x61
    gtemp[5] = OtxDspUlawCompress(-1);    // 0x7E
    gtemp[6] = OtxDspUlawCompress(+102);  // 0xDF
    gtemp[7] = OtxDspUlawCompress(+169);  // 0xD6
    gtemp[8] = OtxDspUlawCompress(+420);  // 0xC3
    gtemp[9] = OtxDspUlawCompress(+499);  // 0xBF
    gtemp[10] = OtxDspUlawCompress(+980); // 0xB0
    gtemp[11] = OtxDspUlawCompress(+7000);// 0x84

    memset(&gtemp[0], 0, 12);
    
    gtemp[0] = OtxDspLawExpand(0x1C, OTXDSP_ULAW);  //  -2460
    gtemp[1] = OtxDspLawExpand(0x27, OTXDSP_ULAW);  //  -1505
    gtemp[2] = OtxDspLawExpand(0x3A, OTXDSP_ULAW);  //  -650
    gtemp[3] = OtxDspLawExpand(0x48, OTXDSP_ULAW);  //  -338
    gtemp[4] = OtxDspLawExpand(0x61, OTXDSP_ULAW);  //  -90
    gtemp[5] = OtxDspLawExpand(0x7E, OTXDSP_ULAW);  //  -1
    gtemp[6] = OtxDspLawExpand(0xDF, OTXDSP_ULAW);  //  +102
    gtemp[7] = OtxDspLawExpand(0xD6, OTXDSP_ULAW);  //  +169
    gtemp[8] = OtxDspLawExpand(0xC3, OTXDSP_ULAW);  //  +420
    gtemp[9] = OtxDspLawExpand(0xBF, OTXDSP_ULAW);  //  +499
    gtemp[10] = OtxDspLawExpand(0xB0, OTXDSP_ULAW); //  +980
    gtemp[11] = OtxDspLawExpand(0x84, OTXDSP_ULAW); //  +7000
    
    memset(&gtemp[0], 0, 12);

    gtemp[0] = OtxDspAlawCompress(-2460*2); // 0xA6
    gtemp[1] = OtxDspAlawCompress(-1505*2); // 0xB2
    gtemp[2] = OtxDspAlawCompress(-650*2);  // 0x81
    gtemp[3] = OtxDspAlawCompress(-338*2);  // 0x90
    gtemp[4] = OtxDspAlawCompress(-90*2);   // 0xF3
    gtemp[5] = OtxDspAlawCompress(-1*2);    // 0xD5
    gtemp[6] = OtxDspAlawCompress(+40*2);   // 0x41
    gtemp[7] = OtxDspAlawCompress(+102*2);  // 0x7C
    gtemp[8] = OtxDspAlawCompress(+169*2);  // 0x60
    gtemp[9] = OtxDspAlawCompress(+420*2);  // 0x1F
    gtemp[10] = OtxDspAlawCompress(+499*2); // 0x1A
    gtemp[11] = OtxDspAlawCompress(+980*2); // 0x0B
    
    memset(&gtemp[0], 0, 12);

    gtemp[0] = OtxDspLawExpand(0xA6, OTXDSP_ALAW);  //  approx -4920
    gtemp[1] = OtxDspLawExpand(0xB2, OTXDSP_ALAW);  //  approx -3010
    gtemp[2] = OtxDspLawExpand(0x81, OTXDSP_ALAW);  //  approx -1300
    gtemp[3] = OtxDspLawExpand(0x90, OTXDSP_ALAW);  //  approx -676
    gtemp[4] = OtxDspLawExpand(0xF3, OTXDSP_ALAW);  //  approx -180
    gtemp[5] = OtxDspLawExpand(0xD5, OTXDSP_ALAW);  //  approx -2
    gtemp[6] = OtxDspLawExpand(0x41, OTXDSP_ALAW);  //  approx +80
    gtemp[7] = OtxDspLawExpand(0x7C, OTXDSP_ALAW);  //  approx +204
    gtemp[8] = OtxDspLawExpand(0x60, OTXDSP_ALAW);  //  approx +338
    gtemp[9] = OtxDspLawExpand(0x1F, OTXDSP_ALAW);  //  approx +840
    gtemp[10] = OtxDspLawExpand(0x1A, OTXDSP_ALAW); //  approx +998
    gtemp[11] = OtxDspLawExpand(0x0B, OTXDSP_ALAW); //  approx +1960 
    
    memset(&gtemp[0], 0, 12);
  
  }
*/
#endif
