/* $Workfile: OsaStd.h $   $Revision: 15 $    $Modtime: 9/08/03 11:49a $  */
#ifndef OSA_STD_H
#define OSA_STD_H
/*******************************************************************************

  @doc PublicHwApi OsaStd

  Copyright (C) 1999-2003 Odin TeleSystems Inc., All Rights Reserved

  OTX Generic Hardware Driver API

  @module
  OsaStd | This file contains prototypes for platform the
  generic implementation of some of the stdio.h, string.h, and ctype.h functions.

  @contents2
  OsaStd.h |

  @index func | OsaStd

  @contents2
  Generic stdio.h Functions - OsaStdXXX() | A platform 
  generic implementation of some of the stdio.h, string.h, 
  and ctype.h, and time.h functions.
  
  @head3 OsaStdXXX() Function Reference |

  @index func | OsaStd

*******************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

struct Osa_tm {
  int tm_sec;     /* seconds after the minute - [0,59] */
  int tm_min;     /* minutes after the hour - [0,59] */
  int tm_hour;    /* hours since midnight - [0,23] */
  int tm_mday;    /* day of the month - [1,31] */
  int tm_mon;     /* months since January - [0,11] */
  int tm_year;    /* years since 1900 */
  int tm_wday;    /* days since Sunday - [0,6] */
  int tm_yday;    /* days since January 1 - [0,365] */
  int tm_isdst;   /* daylight savings time flag */
};

typedef unsigned long     Osa_time_t;

/******************************************************************************

  @func
    Platform generic Osa implementation of the standard localtime() function.

  @comm
    Osa functions are used by the demo programs.

  @xref
    <f OsaConsoleInit>

******************************************************************************/
struct Osa_tm * OsaStdLocalTime(
  const Osa_time_t *ptime   // @parm Pointer to time structure
);


/******************************************************************************

  @func
    Platform generic Osa implementation of the standard strupr() function.

  @comm
    Osa functions are used by the demo programs.

  @xref
    <f OsaConsoleInit>

******************************************************************************/
char *OsaStdStrUpr(
  char *s            // @parm String to be converted to upper case. See strupr() in string.h
);


/******************************************************************************

  @func
    Platform generic Osa implementation of the standard toupper() function.

  @comm
    Osa functions are used by the demo programs.

  @xref
    <f OsaConsoleInit>

******************************************************************************/
int OsaStdToUpr(
  int c              // @parm char to be converted to upper case. See toupper() in file ctype.h
);


#if defined(__cplusplus)
}
#endif


/*******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 1999-2003

  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

*******************************************************************************/

#endif // OSA_STD_H

