/* $Workfile: OtxData.h $   $Revision: 8 $    $Modtime: 11/24/99 1:49p $  */
#ifndef OTX_DATA_H
#define OTX_DATA_H
/******************************************************************************

  @doc PublicHwApi OtxData

  Copyright (C) 1998, 1999 Odin TeleSystems Inc., All Rights Reserved

  OTX Generic Hardware Driver API

  @module
  OtxData | OTX Serial Data Manipulation Function Prototypes

  @contents2
  OtxData.h |

  @index func | OtxData

  @contents2
  OTX Serial Data Manipulation Function Prototypes - OtxDataXXX() | Functions available for Data Manipulations

  @head3 OtxDataXXX() Function Reference |

  @index func | OtxData

******************************************************************************/

#include "OtxDef.h"
#include "OtxType.h"

#include "OtxDataD.h"

#ifdef __cplusplus
extern "C" {
#endif


/******************************************************************************

  @func
    Initialize a Data Converter Logical Device. A data converter transforms
    data from one data format to another.

  @xref
    <e OtxLogicalDeviceTypeE.OTX_LDEVICE_DATA_CONVERTER>
    <nl><t OtxDataFormatE>

******************************************************************************/
OTX_RESULT OtxDataConverterInit(
  IN OTX_HANDLE     hDevice,        // @parm Handle to the logical Data Converter Device
  IN OtxDataFormatE eDataFormatIn,  // @parm Data format coming in. See also <t OtxDataFormat>
  IN OtxDataFormatE eDataFormatOut  // @parm Data format coming out. See also <t OtxDataFormat>
);


/******************************************************************************

  @func
    Initialize a Data Mixer Logical Device.

  @comm
    A Data Mixer multiplexes (mixes) N inputs to 1 output. Allows logical device or
    pipe outputs to be connected together and mixed into one output.

  @xref
    <e OtxLogicalDeviceTypeE.OTX_LDEVICE_DATA_MIXER>

******************************************************************************/
OTX_RESULT OtxDataMixerInit(
  IN OTX_HANDLE hDevice            // @parm Handle to the logical Data Mixer Device
);


#ifdef __cplusplus
}  // extern "C"
#endif

/******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 1998, 1999


  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

******************************************************************************/
#endif  // OTX_DATA_H
